## clj-digest-clojure 1.4.9+dfsg

=== Makefile ===
all:
	$(error please pick a target)

test:
	lein test

publish:
	lein deploy clojars-https

.PHONY: all test publish

## clj-digest-clojure 1.4.5

=== debian/changelog ===
clj-digest-clojure (1.4.5-2) unstable; urgency=medium

  * Run tests properly

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 12 Sep 2017 11:34:01 +0300

clj-digest-clojure (1.4.5-1) unstable; urgency=medium

  * Initial release (Closes: #855713)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 04 Aug 2017 17:18:24 -0400

=== debian/control ===
Source: clj-digest-clojure
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: clojure (>= 1.8),
               debhelper (>= 10),
               default-jdk,
               javahelper (>= 0.32),
               markdown,
               maven-repo-helper (>= 1.5~)
Standards-Version: 4.0.0
Vcs-Git: https://anonscm.debian.org/git/pkg-java/clj-digest-clojure.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-java/clj-digest-clojure.git
Homepage: https://github.com/tebeka/clj-digest

Package: libclj-digest-clojure
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: message digest library for Clojure
 clj-digest provides message digest implementations for Clojure, handling the
 following types:
  * java.lang.String
  * byte array
  * java.io.File
  * java.io.InputStream
  * Sequences of byte arrays
 .
 It supports all digest algorithms provided by Java.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk
include /usr/share/dpkg/pkg-info.mk

MDWN_DOCS = $(patsubst %.md,%.html,$(wildcard $(CURDIR)/*.md))

export CLASSPATH=/usr/share/java/clojure.jar

PRODUCED_JAR=clj-digest.jar

%:
	dh $@ --with javahelper --with maven_repo_helper

override_jh_build: $(MDWN_DOCS)
	jar cf $(PRODUCED_JAR) -C src .
	mkdir -p $(CURDIR)/doc/html && mv $^ $(CURDIR)/doc/html

override_jh_clean:
	jh_clean
	rm -f $(CURDIR)/$(PRODUCED_JAR)
	rm -rf $(CURDIR)/doc

override_dh_auto_test:
	dh_auto_test
	(cd test && find . -name "*.clj" | \
		xargs -n 1 --verbose clojure -cp $(CURDIR)/$(PRODUCED_JAR):.)

get-orig-source:
	uscan --download-version $(DEB_VERSIO_UPSTREAM) --force-download --rename

%.html:%.md
	@echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"' \
		'"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">' > $@
	@echo "<html>" >> $@
	@echo "<head>" >> $@
	@echo "<title>$(shell head -n 1 $< | sed 's/^#*\s*//')</title>" >> $@
	@echo "</head>" >> $@
	@echo "<body>" >> $@
	markdown $< >> $@
	@echo "</body>" >> $@
	@echo "</html>" >> $@

=== debian/watch ===
version=3
https://github.com/tebeka/clj-digest/tags .*/([\d.]+)\.tar\.gz

## clj-digest-clojure 1.4.9+dfsg

=== debian/changelog ===
clj-digest-clojure (1.4.9+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Repack upstream's source via uscan.
  * Build using leiningen. (Closes: #977073)
  * d/control: use debhelper-compat and update to dh13.
  * d/control: Standards-Version update to 4.5.1. Add Rules-Requires-Root.
  * d/control: Move package to the Clojure Team. Update VCS fields.
  * Keep installing clj-digest.jar, but add a NEWS entry asking people to move
    away from it.
  * d/*.lintian-overrides: override repeated-path-segment tag.
  * d/patches: add 0002 to patch the testsuite for the source repack.
  * d/tests: add autopkgtests.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 10 Dec 2020 17:12:01 -0500

=== debian/control ===
Source: clj-digest-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               javahelper,
               maven-repo-helper,
               libclojure-java,
               libnrepl-clojure <!nocheck>,
               libcomplete-clojure <!nocheck>,
               leiningen,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/clojure-team/clj-digest-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/clj-digest-clojure
Homepage: https://github.com/tebeka/clj-digest
Rules-Requires-Root: no

Package: libclj-digest-clojure
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends},
         libclojure-java,
Recommends: ${java:Recommends}
Description: message digest library for Clojure
 clj-digest provides message digest implementations for Clojure, handling the
 following types:
  * java.lang.String
  * byte array
  * java.io.File
  * java.io.InputStream
  * Sequences of byte arrays
 .
 It supports all digest algorithms provided by Java.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk
include /usr/share/dpkg/pkg-info.mk

export LEIN_HOME=$(CURDIR)/.lein
export LEIN_OFFLINE=true

UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+dfsg//')
NAME=digest

%:
	dh $@ --with javahelper --with maven_repo_helper

override_dh_auto_configure:
	cd debian && ln -sf /usr/share/maven-repo .

override_dh_auto_build:
	lein pom debian/pom.xml
	lein jar
	# symlink so we don't need a version in debian/*.poms
	cd target && ln -sf $(NAME)-$(UPSTREAM_VERSION).jar $(NAME).jar
	# This is a temporary measure not to create breakage. We eventually need to
	# get rid of the old name.
	cd target && ln -sf $(NAME)-$(UPSTREAM_VERSION).jar clj-$(NAME).jar

override_dh_auto_test:
	cp debian/patches/debian.png test/debian.png
	lein test

override_jh_installlibs:
	jh_installlibs target/$(NAME).jar
	# This is a temporary measure not to create breakage. We eventually need to
	# get rid of the old name.
	jh_installlibs target/clj-$(NAME).jar

override_dh_clean:
	rm -f debian/maven-repo
	rm -Rf target
	rm -f debian/pom.xml
	rm -f test/debian.png
	dh_clean

=== debian/watch ===
version=4
opts="mode=git, repacksuffix=+dfsg, dversionmangle=s/\+dfsg//,repack" \
https://github.com/tebeka/clj-digest.git \
refs/tags/([\d\.]+)
